API references
Merchant API

Queues a payment link for delivery through an active email or SMS communication channel. The recipient is validated and normalized according to the selected channel.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/send-payment-link HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
payment_link_id: string,
communication_channel_id: string,
recipient: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
payment_link_id string

Required. The payment link to send.

communication_channel_id string

Required. The active communication channel used to send the link.

recipient string

Required. An email address for an email channel or mobile number for an SMS channel.

Response attributes
Attribute Description
communication_delivery_id
string

Always present. The ID of the queued communication delivery.

communication_channel_id
string

Always present. The communication channel used for this delivery.

payment_link_id
string

Always present. The payment link sent to the recipient.

delivery
string

Always present. How the message is delivered.

Possible values:
  • email
  • sms
recipient
string

Always present. The email address or mobile number.

contact_id
string

Nullable. The contact matched by the recipient. Null when no contact matches.

status
string

Always present. The current delivery status. Accepted means the provider accepted the message.

Possible values:
  • queued
  • processing
  • accepted
  • failed
created_at
number

Always present. When the delivery was queued.

accepted_at
number

Nullable. When the provider accepted the message.

Errors specific to this endpoint
NOT_FOUND

The payment link or communication channel does not exist for this merchant.

BAD_REQUEST

The payment link, channel, or recipient cannot be used for this delivery.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.